summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-09-12 16:01:24 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2016-09-12 16:01:24 -0500
commitdc818926d59d65070204cc0730b96e2b1feff96d (patch)
treec41f5ee65835b57ea88c167ada3f202792f149ca /sys-fs/multipath-tools
parentdev-lang/R: fix manifest (diff)
downloadgentoo-dc818926d59d65070204cc0730b96e2b1feff96d.tar.gz
gentoo-dc818926d59d65070204cc0730b96e2b1feff96d.tar.bz2
gentoo-dc818926d59d65070204cc0730b96e2b1feff96d.zip
sys-fs/multipath-tools: make modprobe optional in multipathd.service
Package-Manager: portage-2.2.28
Diffstat (limited to 'sys-fs/multipath-tools')
-rw-r--r--sys-fs/multipath-tools/multipath-tools-0.6.2-r2.ebuild69
1 files changed, 69 insertions, 0 deletions
diff --git a/sys-fs/multipath-tools/multipath-tools-0.6.2-r2.ebuild b/sys-fs/multipath-tools/multipath-tools-0.6.2-r2.ebuild
new file mode 100644
index 00000000000..4d9b9afbec5
--- /dev/null
+++ b/sys-fs/multipath-tools/multipath-tools-0.6.2-r2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils systemd toolchain-funcs udev
+
+DESCRIPTION="Device mapper target autoconfig"
+HOMEPAGE="http://christophe.varoqui.free.fr/"
+COMMIT_ID='e165b73a16fc9027aa3306df40052038c175be1b'
+SRC_URI="http://git.opensvc.com/?p=multipath-tools/.git;a=snapshot;h=${COMMIT_ID};sf=tgz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="systemd"
+
+RDEPEND=">=sys-fs/lvm2-2.02.45
+ >=virtual/udev-171
+ dev-libs/libaio
+ dev-libs/userspace-rcu
+ sys-libs/readline:*
+ systemd? ( sys-apps/systemd )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${PN}-${COMMIT_ID:0:7}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.6.2-makefile.patch
+)
+
+get_systemd_pv() {
+ use systemd && \
+ $(tc-getPKG_CONFIG) --modversion systemd
+}
+
+src_compile() {
+ # LIBDM_API_FLUSH involves grepping files in /usr/include,
+ # so force the test to go the way we want #411337.
+ emake \
+ LIBDM_API_FLUSH=1 CC="$(tc-getCC)" SYSTEMD="$(get_systemd_pv)"
+}
+
+src_install() {
+ local udevdir="$(get_udevdir)"
+
+ dodir /sbin /usr/share/man/man{5,8}
+ emake \
+ DESTDIR="${D}" \
+ SYSTEMD=$(get_systemd_pv) \
+ unitdir="$(systemd_get_systemunitdir)" \
+ libudevdir='${prefix}'/"${udevdir}" \
+ install
+
+ newinitd "${FILESDIR}"/rc-multipathd multipathd
+ newinitd "${FILESDIR}"/multipath.rc multipath
+
+ sed -i 's|ExecStartPre=/|ExecStartPre=-/|g' "${D}"/usr/lib/systemd/system/multipathd.service || die
+
+ dodoc README ChangeLog
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog "If you need multipath on your system, you must"
+ elog "add 'multipath' into your boot runlevel!"
+ fi
+}